<?php
namespace App\Worldspan\StructureParser\Structures\Reissue;

class Relations extends \App\Worldspan\StructureParser\Structures\Base\Relations
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes, ) = $this->getTransactionDetails();

		$item = new \App\Worldspan\StructureParser\Types\Relations();

		$relation = new \App\Worldspan\StructureParser\Types\Relation();

		$pax = $parsedStructure['passenger'][$transactionIndexes['paxIdx']];

		$relation->docNumber = 		$pax['RC']['FirstDocumentNumber_ticket'];
		$relation->relationType = 	'reissue';

		$item->appendRelation($relation);
		return $item;
	}
}
